############################################################################
#
#  Program:         ScaLAPACK
#
#  Module:          SLmake.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   February 28, 1995
#
#  Modified:
#
#  Send bug reports, comments or suggestions to scalapack@cs.utk.edu
#
############################################################################
#
#  The complete path to the top level of ScaLAPACK directory, usually
#  $(HOME)/SCALAPACK
#
home          = $(HOME)/SCALAPACK
#
#  The platform identifier to suffix to the end of library names
#
PLAT          = SUN4
#
LAPACKdir     = $(HOME)/LAPACK_$(PLAT)
PVMdir        = $(PVM_ROOT)
TESTINGdir    = $(HOME)/pvm3/bin/$(PLAT)
#
#  The BLACS debug level (0 or 1) (see BLACS user's guide)
#
BLACSDBGLVL   = 0
#
BLACSLIB      = $(HOME)/BLACS/LIB/blacs_$(PLAT)-$(BLACSDBGLVL).a
BLASLIB       = $(LAPACKdir)/blas.a
#
#  The directories to find the various pieces of ScaLapack
#
PBLASdir      = $(home)/PBLAS
PUMMAdir      = $(home)/PUMMA
PVMLIBdir     = $(PVMdir)/lib/$(PLAT)
SRCdir        = $(home)/SRC
TESTdir       = $(home)/TESTING
PBLASTSTdir   = $(TESTINGdir)
TOOLSdir      = $(home)/TOOLS
REDISTdir     = $(home)/REDIST
REDISTTSTdir  = $(TESTINGdir)
#
#  The fortran and C compilers, loaders, and their flags
#
F77           = f77
CC            = cc
NOOPT         = -u
F77FLAGS      = -O4 $(NOOPT)
CCFLAGS       = -O4
F77LOADER     = $(F77)
CCLOADER      = $(CC)
F77LOADFLAGS  =
CCLOADFLAGS   =
#
#  C preprocessor defs for compilation (-DNoChange, -DAdd_, or -DUpCase)
#
CDEFS         = -DAdd_
#
#  The archiver and the flag(s) to use when building archive (library)
#  Also the ranlib routine.  If your system has no ranlib, set RANLIB = echo
#
ARCH          = ar
ARCHFLAGS     = cr
RANLIB        = ranlib
#
#  The name of the libraries to be created/linked to
#
PBLASLIB      = $(home)/pblas_$(PLAT).a
PUMMALIB      = $(home)/pumma_$(PLAT).a
PVMLIB        = $(PVMLIBdir)/libpvm3.a
SCALAPACKLIB  = $(home)/scalapack_$(PLAT).a
TOOLSLIB      = $(home)/tools_$(PLAT).a
REDISTLIB     = $(home)/redist_$(PLAT).a
#
PBLIBS        = $(PBLASLIB) $(TOOLSLIB) $(BLACSLIB) $(BLASLIB) $(PVMLIB)
PMLIBS        = $(PUMMALIB) $(TOOLSLIB) $(BLACSLIB) $(BLASLIB) $(PVMLIB)
PRLIBS        = $(REDISTLIB) $(BLACSLIB) $(PVMLIB)
LIBS          = $(SCALAPACKLIB) $(PBLIBS)
#
#  The names the executable TESTING code should have
#
sPB2exe       = xspb2chk
dPB2exe       = xdpb2chk
cPB2exe       = xcpb2chk
zPB2exe       = xzpb2chk

sPB3exe       = xspb3chk
dPB3exe       = xdpb3chk
cPB3exe       = xcpb3chk
zPB3exe       = xzpb3chk

sLUexe        = xslu
dLUexe        = xdlu
cLUexe        = xclu
zLUexe        = xzlu

sLLTexe       = xsllt
dLLTexe       = xdllt
cLLTexe       = xcllt
zLLTexe       = xzllt

sINVexe       = xsinv
dINVexe       = xdinv
cINVexe       = xcinv
zINVexe       = xzinv

sQRexe        = xsqr
dQRexe        = xdqr
cQRexe        = xcqr
zQRexe        = xzqr

sLSexe        = xsls
dLSexe        = xdls
cLSexe        = xcls
zLSexe        = xzls

sBRDexe       = xsbrd
dBRDexe       = xdbrd
cBRDexe       = xcbrd
zBRDexe       = xzbrd

sHRDexe       = xshrd
dHRDexe       = xdhrd
cHRDexe       = xchrd
zHRDexe       = xzhrd

sTRDexe       = xstrd
dTRDexe       = xdtrd
cTRDexe       = xctrd
zTRDexe       = xztrd

sPSIGNexe     = xspsign
dPSIGNexe     = xdpsign
cPSIGNexe     = xcpsign
zPSIGNexe     = xzpsign

sSEPexe       = xssep
dSEPexe       = xdsep

iGEMRexe      = xigemr
sGEMRexe      = xsgemr
dGEMRexe      = xdgemr
cGEMRexe      = xcgemr
zGEMRexe      = xzgemr

iTRMRexe      = xitrmr
sTRMRexe      = xstrmr
dTRMRexe      = xdtrmr
cTRMRexe      = xctrmr
zTRMRexe      = xztrmr
